import { defineConfig } from 'astro/config';
import node from '@astrojs/node';

export default defineConfig({
  output: 'server',
  adapter: node({
    mode: 'standalone'
  }),
  
  build: {
    assets: '_astro'
  },
  
  server: {
    port: 4321,
    host: true
  },
  allowImportingTsExtensions: true
});
